Bug 1203461 - httpd.conf file changes are location dependent
Summary: httpd.conf file changes are location dependent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 1.2.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: 1.2.4
Assignee: ceph-docs@redhat.com
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 21:41 UTC by Warren
Modified: 2015-12-18 10:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-18 10:24:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Warren 2015-03-18 21:41:37 UTC
https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-object-gateway/blob/869042fb8f65b00cda1c8f98822133fac767c542/ceph-object-gateway-installation-guide.adoc

The above document says:

Update /etc/httpd/conf/httpd.conf to load mod_proxy_fcgi module. Add the following to the file:

<IfModule !proxy_fcgi_module>
  LoadModule proxy_fcgi_module modules/mod_proxy_fcgi.so
</IfModule>


If you add these lines before the Listen:, you get the following when you try to start the httpd service (on 6.6)

[ubuntu@magna105 ~]$ sudo service httpd start
Starting httpd: httpd: Syntax error on line 128 of /etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_proxy_fcgi.so into server: /etc/httpd/modules/mod_proxy_fcgi.so: undefined symbol: ap_proxy_release_connection
                                                           [FAILED]

If you add the lines to the end of the file, you get the following:

[ubuntu@magna105 ~]$ sudo service httpd start
Starting httpd:                                            [  OK  ]

If 'add the following' means the same as 'append the following to the end', then this is not a problem.  However, 'add the following' is open to interpretation.

Comment 2 Tamil 2015-05-04 23:39:45 UTC
looks good!


Note You need to log in before you can comment on or make changes to this bug.